/*       */

CREATE OR REPLACE PROCEDURE ENUMVALUES_DELETE(ENUMNAME_ VARCHAR2,VAL_ NUMBER) IS
  IDENUM$ NUMBER;
BEGIN
  BEGIN
    SELECT ID INTO IDENUM$ FROM ENUMS WHERE NAME = ENUMNAME_;
  EXCEPTION
     WHEN NO_DATA_FOUND THEN
       IDENUM$ := NULL;  
  END;
  IF (IDENUM$ IS NOT NULL) THEN
    DELETE FROM ENUMVALUES WHERE (VAL = VAL_) AND (ENUMREF = IDENUM$);
  END IF;  
END;
/

CALL ENUMVALUES_DELETE('',10) ;
CALL ENUMVALUES_DELETE('',11) ;
CALL ENUMVALUES_DELETE('',12) ;
CALL ENUMVALUES_DELETE('',13) ;
CALL ENUMVALUES_DELETE('',14) ;
CALL ENUMVALUES_DELETE('',15) ;
CALL ENUMVALUES_DELETE('',18) ;
CALL ENUMVALUES_DELETE('',22) ;
CALL ENUMVALUES_DELETE('',24) ;
CALL ENUMVALUES_DELETE('',25) ;
CALL ENUMVALUES_DELETE('',27) ;
COMMIT WORK
/
DROP PROCEDURE ENUMVALUES_DELETE
/
COMMIT WORK
/